Bug 184587 - [exp-run] freetype 2.5.1
[exp-run] freetype 2.5.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Koop Mast
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-07 23:10 UTC by Koop Mast
Modified: 2013-12-24 21:43 UTC (History)
0 users

See Also:


Attachments
freetype-2.5.1.diff (10.00 KB, patch)
2013-12-07 23:10 UTC, Koop Mast
no flags Details | Diff
freetype-2.5.2.diff (10.00 KB, patch)
2013-12-10 09:06 UTC, Koop Mast
no flags Details | Diff
freetype-2.5.2_3.diff (68.23 KB, patch)
2013-12-21 09:19 UTC, Koop Mast
no flags Details | Diff
freetype-2.5.2_4.diff (74.75 KB, patch)
2013-12-23 22:20 UTC, Koop Mast
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Koop Mast freebsd_committer 2013-12-07 23:10:05 UTC
	Exp-run for freetype 2.5.1 which reordered the headers (oh joy).
	Fix a few major inpact ports already, now to find the rest.
Comment 1 Koop Mast freebsd_committer 2013-12-07 23:11:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

assign to portmgr
Comment 2 Koop Mast freebsd_committer 2013-12-10 09:06:02 UTC
Update freetype patch.
Comment 3 Bryan Drewery freebsd_committer 2013-12-10 12:56:08 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 4 Bryan Drewery freebsd_committer 2013-12-12 12:20:34 UTC
Exp-run done.

http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_184587/2013-12-11_12h53m24s

Failures:

> + {"origin"=>"audio/lmms", "pkgname"=>"lmms-0.4.15,2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"audio/musescore", "pkgname"=>"musescore-1.3_1", "phase"=>"build", "errortype"=>"gcc4_error"}
> + {"origin"=>"comms/gtkmmorse", "pkgname"=>"gtkmmorse-0.9.27", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/kdevplatform", "pkgname"=>"kdevplatform-1.5.2", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"devel/lasi", "pkgname"=>"lasi-1.1.1_1", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"devel/love", "pkgname"=>"love-0.8.0_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"devel/love07", "pkgname"=>"love07-0.7.2_3", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"devel/love5", "pkgname"=>"love5-0.5.0_9", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"editors/openoffice-4", "pkgname"=>"apache-openoffice-4.0.1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"editors/ted", "pkgname"=>"ted-2.23", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/arx-libertatis", "pkgname"=>"arx-libertatis-1.0.3_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"games/brutalchess", "pkgname"=>"brutalchess-0.5.2_10", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/corsix-th", "pkgname"=>"corsixth-0.21_2", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"games/gemrb", "pkgname"=>"gemrb-0.8.0.1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/jvgs", "pkgname"=>"jvgs-0.5.1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/megaglest", "pkgname"=>"megaglest-3.9.0.4", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"games/openmortal", "pkgname"=>"openmortal-0.7_9", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/scorched3d", "pkgname"=>"scorched3d-0.43.3d_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/traingame", "pkgname"=>"traingame-0.2.2_2", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/GraphicsMagick", "pkgname"=>"GraphicsMagick-1.1.15_5,1", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"graphics/GraphicsMagick12", "pkgname"=>"GraphicsMagick12-1.2.10_3", "phase"=>"build", "errortype"=>"bad_C++_code"}
> + {"origin"=>"graphics/blender", "pkgname"=>"blender-2.69_3", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/darktable", "pkgname"=>"darktable-1.2.3_3", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/dia", "pkgname"=>"dia-0.97.2_2,1", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"graphics/evas-core", "pkgname"=>"evas-core-1.7.9", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"graphics/kpovmodeler", "pkgname"=>"kpovmodeler-1.1.3.4.3.1_9", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/libprojectm", "pkgname"=>"libprojectM-2.0.1_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/mapserver", "pkgname"=>"mapserver-6.4.0_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/ogre3d", "pkgname"=>"ogre3d-1.8.1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/osg", "pkgname"=>"osg-3.0.1_8", "phase"=>"package", "errortype"=>"cluster"}
> + {"origin"=>"graphics/php5-gd", "pkgname"=>"php5-gd-5.4.21", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/php52-gd", "pkgname"=>"php52-gd-5.2.17_15", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/php53-gd", "pkgname"=>"php53-gd-5.3.27", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/php55-gd", "pkgname"=>"php55-gd-5.5.5", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/podofo", "pkgname"=>"podofo-0.9.2_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/py-imaging", "pkgname"=>"py27-imaging-1.1.7_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"graphics/py-pillow", "pkgname"=>"py27-pillow-2.0.0", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"graphics/sk1libs", "pkgname"=>"sk1libs-0.9.1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"graphics/sodipodi", "pkgname"=>"sodipodi-0.34_16", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"graphics/swfmill", "pkgname"=>"swfmill-0.3.3", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"graphics/tulip", "pkgname"=>"tulip-3.8.0_2", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/xpaint", "pkgname"=>"xpaint-2.9.9.4_2", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"japanese/xdvik", "pkgname"=>"ja-xdvik-tetex-22.40y1.1.21_15", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"java/classpath", "pkgname"=>"classpath-0.99_1", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"java/eclipse", "pkgname"=>"eclipse-3.7.1_4", "phase"=>"patch", "errortype"=>"cluster"}
> + {"origin"=>"java/java3d", "pkgname"=>"java3d-1.5.2_2", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"java/jboss72", "pkgname"=>"jboss72-7.2.0_1", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"java/sablevm-classpath", "pkgname"=>"sablevm-classpath-1.13_10", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"mail/thunderbird", "pkgname"=>"thunderbird-24.1.0", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"misc/freebsd-doc-ru", "pkgname"=>"ru-freebsd-doc-43251,1", "phase"=>"checksum", "errortype"=>"cluster"}
> + {"origin"=>"misc/magicpoint", "pkgname"=>"magicpoint-1.13a_10", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"multimedia/mlt", "pkgname"=>"mlt-0.9.0_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"net/arping", "pkgname"=>"arping-2.13", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"print/ft2demos", "pkgname"=>"ft2demos-2.4.11", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"print/lilypond", "pkgname"=>"lilypond-2.16.1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"print/paps", "pkgname"=>"paps-0.6.8_3", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"print/ttf2pt1", "pkgname"=>"ttf2pt1-3.4.4_4", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"science/mpqc-mpich", "pkgname"=>"mpqc-mpich-2.3.1_17", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"science/paraview", "pkgname"=>"paraview-3.10.1_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"www/firefox", "pkgname"=>"firefox-25.0_1,1", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"www/firefox-esr", "pkgname"=>"firefox-esr-24.1.0_1,1", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"www/libxul", "pkgname"=>"libxul-24.1.0", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"www/seamonkey", "pkgname"=>"seamonkey-2.22_1", "phase"=>"build", "errortype"=>"linker_error"}
> + {"origin"=>"x11-fm/xfe", "pkgname"=>"xfe-1.37", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"x11-fonts/fontmatrix", "pkgname"=>"fontmatrix-0.4.2_4", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-fonts/ttmkfdir", "pkgname"=>"ttmkfdir-3.0.9_2,1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-toolkits/fltk-devel", "pkgname"=>"fltk-devel-1.3.x.r9998", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-toolkits/gigi", "pkgname"=>"gigi-0.8.0.1074_2,1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"x11-toolkits/libgdiplus", "pkgname"=>"libgdiplus-2.10_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-wm/matwm2", "pkgname"=>"matwm2-0.1.2.p3", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-wm/pawm", "pkgname"=>"pawm-2.3.0", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"x11/kde4-workspace", "pkgname"=>"kde-workspace-4.10.5_1", "phase"=>"build", "errortype"=>"coredump"}
> + {"origin"=>"x11/slim", "pkgname"=>"slim-1.3.5_3", "phase"=>"configure", "errortype"=>"cluster"}




-- 
Regards,
Bryan Drewery
Comment 5 Bryan Drewery freebsd_committer 2013-12-12 12:20:48 UTC
Responsible Changed
From-To: bdrewery->kwm

back to kwm
Comment 6 Koop Mast freebsd_committer 2013-12-21 09:19:19 UTC
New patch with almost all the problems fixed.
Comment 7 Koop Mast freebsd_committer 2013-12-21 09:21:18 UTC
Responsible Changed
From-To: kwm->portmgr

Over to portmgr, new patch for exp-run.
Comment 8 Bryan Drewery freebsd_committer 2013-12-23 03:06:44 UTC
Responsible Changed
From-To: portmgr->bdrewery

take
Comment 9 Koop Mast freebsd_committer 2013-12-23 22:20:56 UTC
New patch with all known issues fixed.
Comment 10 Bryan Drewery freebsd_committer 2013-12-24 04:03:13 UTC
http://package21.nyi.freebsd.org/bulk/91amd64-default-pr_184587/2013-12-23_03h08m01s

New failures:

> + {"origin"=>"audio/lmms", "pkgname"=>"lmms-0.4.15,2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"audio/mp3splt-gtk", "pkgname"=>"mp3splt-gtk-0.8.2", "phase"=>"package", "errortype"=>"cluster"}
> + {"origin"=>"biology/fasta3", "pkgname"=>"fasta3-36.3.6d", "phase"=>"fetch", "errortype"=>"fetch"}
> + {"origin"=>"editors/openoffice-4", "pkgname"=>"apache-openoffice-4.0.1", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"games/jinput", "pkgname"=>"jinput-20110801.r247", "phase"=>"build", "errortype"=>"cluster"}
> + {"origin"=>"graphics/kipi-plugin-jpeglossless", "pkgname"=>"kipi-plugin-jpeglossless-3.2.0", "phase"=>"build", "errortype"=>"process_failed"}
> + {"origin"=>"graphics/libprojectm", "pkgname"=>"libprojectM-2.0.1_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/mapserver", "pkgname"=>"mapserver-6.4.0_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/ogre3d", "pkgname"=>"ogre3d-1.8.1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/osg", "pkgname"=>"osg-3.0.1_8", "phase"=>"package", "errortype"=>"cluster"}
> + {"origin"=>"graphics/php5-gd", "pkgname"=>"php5-gd-5.4.23", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/php52-gd", "pkgname"=>"php52-gd-5.2.17_15", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/php53-gd", "pkgname"=>"php53-gd-5.3.28", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/php55-gd", "pkgname"=>"php55-gd-5.5.7", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"graphics/podofo", "pkgname"=>"podofo-0.9.2_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"graphics/py-soya3d", "pkgname"=>"py27-soya3d-0.14_6", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"graphics/tulip", "pkgname"=>"tulip-3.8.0_2", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"java/eclipse-devel", "pkgname"=>"eclipse-devel-4.2.0_4", "phase"=>"install", "errortype"=>"cluster"}
> + {"origin"=>"java/jboss72", "pkgname"=>"jboss72-7.2.0_1", "phase"=>"build/runaway", "errortype"=>"runaway_process"}
> + {"origin"=>"misc/magicpoint", "pkgname"=>"magicpoint-1.13a_10", "phase"=>"build", "errortype"=>"compiler_error"}
> + {"origin"=>"multimedia/libav", "pkgname"=>"libav-9.10_2", "phase"=>"configure", "errortype"=>"configure_error"}
> + {"origin"=>"multimedia/mlt", "pkgname"=>"mlt-0.9.0_2", "phase"=>"patch", "errortype"=>"patch"}
> + {"origin"=>"science/paraview", "pkgname"=>"paraview-3.10.1_1", "phase"=>"configure", "errortype"=>"cluster"}
> + {"origin"=>"x11-fonts/fontmatrix", "pkgname"=>"fontmatrix-0.4.2_4", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-toolkits/fltk-devel", "pkgname"=>"fltk-devel-1.3.x.r10022", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-wm/matwm2", "pkgname"=>"matwm2-0.1.2.p3", "phase"=>"build", "errortype"=>"missing_header"}
> + {"origin"=>"x11-wm/pawm", "pkgname"=>"pawm-2.3.0", "phase"=>"build", "errortype"=>"missing_header"}




-- 
Regards,
Bryan Drewery
Comment 11 Bryan Drewery freebsd_committer 2013-12-24 04:03:31 UTC
Responsible Changed
From-To: bdrewery->kwm

back to kwm, exp-run done
Comment 12 dfilter freebsd_committer 2013-12-24 21:22:41 UTC
Author: kwm
Date: Tue Dec 24 21:22:21 2013
New Revision: 337385
URL: http://svnweb.freebsd.org/changeset/ports/337385

Log:
  Update freetype to 2.5.2.
  
  Remove patch to add -I/usr/local/include in freetype-config --cflags. If
  ports need extra headers they should look for them, and not get them via
  a side-effect.
  
  Freetype had a header resuffle in 2.5.1, patch ports to use the new header
  style.
  
  Thanks go to bdrewery for the two exp-runs and rakuco for helping me with
  some troublesome cmake ports.
  
  PR:		ports/184587

Added:
  head/audio/lmms/files/patch-plugins_zynaddsubfx_fltk_CMakeLists.txt   (contents, props changed)
  head/audio/musescore/files/patch-mscore_mscore_genft.cpp   (contents, props changed)
  head/devel/cmake/files/patch-Modules_FindFreetype.cmake   (contents, props changed)
  head/devel/lasi/files/patch-include_LASi.h   (contents, props changed)
  head/devel/lasi/files/patch-src_drawGlyph.cpp   (contents, props changed)
  head/devel/lasi/files/patch-src_drawGlyph.h   (contents, props changed)
  head/devel/lasi/files/patch-src_glyphMgr.cpp   (contents, props changed)
  head/devel/lasi/files/patch-src_glyphMgr.h   (contents, props changed)
  head/devel/lasi/files/patch-src_util.h   (contents, props changed)
  head/devel/love/files/patch-src_modules_font_freetype_Font.h   (contents, props changed)
  head/devel/love/files/patch-src_modules_font_freetype_TrueTypeRasterizer.h   (contents, props changed)
  head/devel/love07/files/patch-src_modules_font_freetype_Font.h   (contents, props changed)
  head/devel/love07/files/patch-src_modules_font_freetype_TrueTypeRasterizer.h   (contents, props changed)
  head/devel/love5/files/patch-src_opengl_TrueTypeFont.h   (contents, props changed)
  head/editors/ted/files/patch-appFrame_appFontConfig.c   (contents, props changed)
  head/games/brutalchess/files/patch-src_fontloader.h   (contents, props changed)
  head/games/scorched3d/files/patch-src_client_GLEXT_GLFont2dFreeType.h   (contents, props changed)
  head/games/scorched3d/files/patch-src_launcher_wxdialogs_TrueTypeFont.h   (contents, props changed)
  head/graphics/darktable/files/patch-cmake_modules_FindFreetype.cmake   (contents, props changed)
  head/graphics/dia/files/patch-plug-ins_postscript_diapsft2renderer.c   (contents, props changed)
  head/graphics/evas-core/files/patch-src_lib_engines_common_evas-font-load.c   (contents, props changed)
  head/graphics/libprojectm/files/patch-cmake_FindFreetype2.cmake   (contents, props changed)
  head/graphics/mapserver/files/
  head/graphics/mapserver/files/patch-cmake__FindFreetype.cmake   (contents, props changed)
  head/graphics/ogre3d/files/patch-CMake_Packages_FindFreetype.cmake   (contents, props changed)
  head/graphics/osg/files/patch-CMakeModules_FindFreeType.cmake   (contents, props changed)
  head/graphics/osg/files/patch-src-osgPlugins-freetype-FreeTypeFont.cpp   (contents, props changed)
  head/graphics/podofo/files/patch-cmake_modules_FindFREETYPE.cmake   (contents, props changed)
  head/graphics/py-imaging/files/patch-_imagingft.c   (contents, props changed)
  head/graphics/py-pillow/files/patch-_imagingft.c   (contents, props changed)
  head/graphics/py-soya3d/files/patch-include_freetype.h   (contents, props changed)
  head/graphics/sk1libs/files/patch-src_imaging_libimagingft_imagingft.c   (contents, props changed)
  head/graphics/sodipodi/files/patch-src_libnrtype_nr-type-fc2.c   (contents, props changed)
  head/graphics/swfmill/files/
  head/graphics/swfmill/files/patch-src_swft_swft-import-ttf.cpp   (contents, props changed)
  head/graphics/tulip/files/patch-thirdparty-ftgl-CMakeLists.txt   (contents, props changed)
  head/japanese/xdvik/files/patch-texk_xdvik_vf2ft.c   (contents, props changed)
  head/java/classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-FreetypeGlyphVector.c   (contents, props changed)
  head/java/classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-GdkFontPeer.c   (contents, props changed)
  head/java/sablevm-classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-GdkTextLayout.c   (contents, props changed)
  head/multimedia/ffmpeg/files/patch-libavfilter_vf-drawtext.c   (contents, props changed)
  head/multimedia/ffmpeg0/files/patch-libavfilter_vf-drawtext.c   (contents, props changed)
  head/multimedia/mlt/files/patch-src_modules_gtk2_producer-pango.c   (contents, props changed)
  head/print/lilypond/files/patch-lily_freetype-error.cc   (contents, props changed)
  head/print/lilypond/files/patch-lily_open-type-font.cc   (contents, props changed)
  head/print/lilypond/files/patch-lily_pango-font.cc   (contents, props changed)
  head/print/lilypond/files/patch-lily_ttf.cc   (contents, props changed)
  head/print/paps/files/
  head/print/paps/files/patch-src_libpaps.c   (contents, props changed)
  head/science/paraview/files/patch-VTK_CMake_FindFREETYPE.cmake   (contents, props changed)
  head/x11-fonts/fontmatrix/files/patch-cmake__modules__FREETYPEConfig.cmake   (contents, props changed)
  head/x11-toolkits/libgdiplus/files/patch-src_gdiplus-private.h   (contents, props changed)
  head/x11-wm/matwm2/files/patch-configure   (contents, props changed)
Deleted:
  head/print/freetype2/files/patch-builds::unix::freetype-config.in
Modified:
  head/comms/gtkmmorse/Makefile
  head/devel/cmake-modules/Makefile
  head/devel/lasi/Makefile
  head/games/openmortal/files/patch-src-sge__tt__text.cpp
  head/games/scorched3d/Makefile
  head/graphics/GraphicsMagick/files/patch-configure
  head/graphics/GraphicsMagick12/files/patch-configure.in
  head/graphics/GraphicsMagick13/files/patch-configure.in
  head/graphics/php5-gd/files/patch-config.m4
  head/graphics/php52-gd/files/patch-config.m4
  head/graphics/php53-gd/files/patch-config.m4
  head/graphics/php55-gd/files/patch-config.m4
  head/graphics/podofo/Makefile
  head/graphics/swfmill/Makefile
  head/graphics/xpaint/Makefile
  head/lang/php5/Makefile
  head/lang/php52/Makefile
  head/lang/php53/Makefile
  head/lang/php55/Makefile
  head/multimedia/ffmpeg/Makefile
  head/multimedia/ffmpeg0/Makefile
  head/print/freetype2/Makefile
  head/print/freetype2/distinfo
  head/print/freetype2/pkg-plist
  head/print/ft2demos/Makefile
  head/print/ft2demos/distinfo
  head/print/ttf2pt1/files/patch-ft.c
  head/x11-fm/xfe/Makefile
  head/x11-fonts/ttmkfdir/files/patch-ttf.cpp
  head/x11-toolkits/fltk-devel/files/patch-CMakeLists.txt

Added: head/audio/lmms/files/patch-plugins_zynaddsubfx_fltk_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/lmms/files/patch-plugins_zynaddsubfx_fltk_CMakeLists.txt	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- plugins/zynaddsubfx/fltk/CMakeLists.txt.orig	2013-12-24 21:48:53.000000000 +0200
++++ plugins/zynaddsubfx/fltk/CMakeLists.txt	2013-12-24 21:49:16.000000000 +0200
+@@ -165,7 +165,7 @@
+ mark_as_advanced(HAVE_SYS_STDTYPES_H HAVE_XDBE_H)
+ 
+ # where to find freetype headers
+-find_path(FREETYPE_PATH freetype/config/ftheader.h PATH_SUFFIXES freetype2)
++find_path(FREETYPE_PATH config/ftheader.h PATH_SUFFIXES freetype2)
+ if(FREETYPE_PATH)
+    include_directories(${FREETYPE_PATH})
+ endif(FREETYPE_PATH)

Added: head/audio/musescore/files/patch-mscore_mscore_genft.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/audio/musescore/files/patch-mscore_mscore_genft.cpp	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- mscore/mscore/genft.cpp.orig	2013-12-13 09:46:58.000000000 +0100
++++ mscore/mscore/genft.cpp	2013-12-13 09:50:06.000000000 +0100
+@@ -27,7 +27,7 @@
+ 
+ #include <ft2build.h>
+ #include FT_FREETYPE_H
+-#include <freetype/tttables.h>
++#include FT_TRUETYPE_TABLES_H
+ #include "al/xml.h"
+ 
+ QMap<int, int> codemap;

Modified: head/comms/gtkmmorse/Makefile
==============================================================================
--- head/comms/gtkmmorse/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/comms/gtkmmorse/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -21,5 +21,9 @@ USES=		pkgconfig
 PLIST_FILES=	bin/gtkmmorse
 MAN1=		gtkmmorse.1
 
+post-patch:
+	@${REINPLACE_CMD} -e 's|-ansi||g' -e 's|-pedantic||g' \
+		${WRKSRC}/src/Makefile.in
+
 NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/cmake-modules/Makefile
==============================================================================
--- head/devel/cmake-modules/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/devel/cmake-modules/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,7 +1,7 @@
 # Created by: gahr
 # $FreeBSD$
 
-PORTREVISION=	0
+PORTREVISION=	1
 PKGNAMESUFFIX=	-modules
 
 COMMENT=	Modules and Templates for CMake

Added: head/devel/cmake/files/patch-Modules_FindFreetype.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/cmake/files/patch-Modules_FindFreetype.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,28 @@
+In the 2.5.1 release of freetype most of the headers where moved from 
+freetype2/freetype/* -> freetype2/*. So we need to update the detection
+rules to take this into account.
+
+http://public.kitware.com/Bug/view.php?id=14601
+
+--- Modules/FindFreetype.cmake.orig	2013-12-13 11:15:05.000000000 +0100
++++ Modules/FindFreetype.cmake	2013-12-13 11:15:39.000000000 +0100
+@@ -56,7 +56,7 @@
+   PATH_SUFFIXES include/freetype2 include
+ )
+ 
+-find_path(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h
++find_path(FREETYPE_INCLUDE_DIR_freetype2 config/ftheader.h
+   HINTS
+     ENV FREETYPE_DIR
+   PATHS
+@@ -91,8 +91,8 @@
+ endif()
+ set(FREETYPE_LIBRARIES "${FREETYPE_LIBRARY}")
+ 
+-if(FREETYPE_INCLUDE_DIR_freetype2 AND EXISTS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype/freetype.h")
+-    file(STRINGS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype/freetype.h" freetype_version_str
++if(FREETYPE_INCLUDE_DIR_freetype2 AND EXISTS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype.h")
++    file(STRINGS "${FREETYPE_INCLUDE_DIR_freetype2}/freetype.h" freetype_version_str
+          REGEX "^#[\t ]*define[\t ]+FREETYPE_(MAJOR|MINOR|PATCH)[\t ]+[0-9]+$")
+ 
+     unset(FREETYPE_VERSION_STRING)

Modified: head/devel/lasi/Makefile
==============================================================================
--- head/devel/lasi/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/devel/lasi/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -4,7 +4,7 @@
 
 PORTNAME=	lasi
 PORTVERSION=	1.1.1
-PORTREVISION=	1
+PORTREVISION=	2
 CATEGORIES=	devel
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTVERSION}%20Source
 DISTNAME=	libLASi-${PORTVERSION}

Added: head/devel/lasi/files/patch-include_LASi.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/lasi/files/patch-include_LASi.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,12 @@
+--- include/LASi.h.orig	2013-12-13 10:12:32.000000000 +0100
++++ include/LASi.h	2013-12-13 10:14:20.000000000 +0100
+@@ -11,7 +11,8 @@
+ #include <sstream>
+ #include <map>
+ #include <pango/pango.h>
+-#include <freetype/ftglyph.h>
++#include <ft2build.h>
++#include FT_GLYPH_H
+ 
+ class FreetypeGlyphMgr;
+ class ContextMgr;

Added: head/devel/lasi/files/patch-src_drawGlyph.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/lasi/files/patch-src_drawGlyph.cpp	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,12 @@
+--- src/drawGlyph.cpp.orig	2013-12-13 10:13:26.000000000 +0100
++++ src/drawGlyph.cpp	2013-12-13 10:15:19.000000000 +0100
+@@ -6,7 +6,8 @@
+  */
+ 
+ #include <ostream>
+-#include <freetype/ftoutln.h>
++#include <ft2build.h>
++#include FT_OUTLINE_H
+ #include <algorithm>
+ #include <LASi.h>
+ #include <config.h>

Added: head/devel/lasi/files/patch-src_drawGlyph.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/lasi/files/patch-src_drawGlyph.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,12 @@
+--- src/drawGlyph.h.orig	2013-12-13 10:13:05.000000000 +0100
++++ src/drawGlyph.h	2013-12-13 10:15:40.000000000 +0100
+@@ -10,7 +10,8 @@
+ 
+ #include <iostream>
+ #include <pango/pango.h>
+-#include <freetype/freetype.h>
++#include <ft2build.h>
++#include FT_FREETYPE_H
+ 
+ /** Generate the Postscript commands to draw the glyph
+   * using the font in pPangoCtx.

Added: head/devel/lasi/files/patch-src_glyphMgr.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/lasi/files/patch-src_glyphMgr.cpp	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,12 @@
+--- src/glyphMgr.cpp.orig	2013-12-13 10:13:39.000000000 +0100
++++ src/glyphMgr.cpp	2013-12-13 10:17:39.000000000 +0100
+@@ -10,8 +10,7 @@
+ 
+ #include <ft2build.h>
+ #include FT_FREETYPE_H
+-
+-#include <freetype/ftglyph.h>
++#include FT_GLYPH_H
+ 
+ #include <cassert>
+ #include "util.h"

Added: head/devel/lasi/files/patch-src_glyphMgr.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/lasi/files/patch-src_glyphMgr.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,12 @@
+--- src/glyphMgr.h.orig	2013-12-13 10:13:45.000000000 +0100
++++ src/glyphMgr.h	2013-12-13 10:17:50.000000000 +0100
+@@ -15,8 +15,7 @@
+ 
+ #include <ft2build.h>
+ #include FT_FREETYPE_H
+-
+-#include <freetype/ftglyph.h>
++#include FT_GLYPH_H
+ 
+ /** Manage FT_Glyph by insuring that FT_Glyph is handled correctly.
+  */

Added: head/devel/lasi/files/patch-src_util.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/lasi/files/patch-src_util.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- src/util.h.orig	2013-12-13 10:13:16.000000000 +0100
++++ src/util.h	2013-12-13 10:17:01.000000000 +0100
+@@ -18,7 +18,7 @@
+ 
+ #include <ft2build.h>
+ #include FT_FREETYPE_H
+-#include <freetype/ftglyph.h>
++#include FT_GLYPH_H
+ 
+ std::ostream& operator<<(std::ostream&, const FT_Library);
+ std::ostream& operator<<(std::ostream&, const FT_Face);

Added: head/devel/love/files/patch-src_modules_font_freetype_Font.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/love/files/patch-src_modules_font_freetype_Font.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/modules/font/freetype/Font.h.orig	2013-12-13 10:24:12.000000000 +0100
++++ src/modules/font/freetype/Font.h	2013-12-13 10:25:51.000000000 +0100
+@@ -30,10 +30,10 @@
+ #else
+ #include <ft2build.h>
+ #endif
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ namespace love
+ {

Added: head/devel/love/files/patch-src_modules_font_freetype_TrueTypeRasterizer.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/love/files/patch-src_modules_font_freetype_TrueTypeRasterizer.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/modules/font/freetype/TrueTypeRasterizer.h.orig	2013-12-13 10:24:01.000000000 +0100
++++ src/modules/font/freetype/TrueTypeRasterizer.h	2013-12-13 10:26:35.000000000 +0100
+@@ -27,10 +27,10 @@
+ 
+ // TrueType2
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ namespace love
+ {

Added: head/devel/love07/files/patch-src_modules_font_freetype_Font.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/love07/files/patch-src_modules_font_freetype_Font.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/modules/font/freetype/Font.h.orig	2013-12-13 10:24:12.000000000 +0100
++++ src/modules/font/freetype/Font.h	2013-12-13 10:25:51.000000000 +0100
+@@ -30,10 +30,10 @@
+ #else
+ #include <ft2build.h>
+ #endif
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ namespace love
+ {

Added: head/devel/love07/files/patch-src_modules_font_freetype_TrueTypeRasterizer.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/love07/files/patch-src_modules_font_freetype_TrueTypeRasterizer.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/modules/font/freetype/TrueTypeRasterizer.h.orig	2013-12-13 10:24:01.000000000 +0100
++++ src/modules/font/freetype/TrueTypeRasterizer.h	2013-12-13 10:26:35.000000000 +0100
+@@ -27,10 +27,10 @@
+ 
+ // TrueType2
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ namespace love
+ {

Added: head/devel/love5/files/patch-src_opengl_TrueTypeFont.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/love5/files/patch-src_opengl_TrueTypeFont.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/opengl/TrueTypeFont.h.orig	2013-12-13 10:36:51.000000000 +0100
++++ src/opengl/TrueTypeFont.h	2013-12-13 10:38:20.000000000 +0100
+@@ -13,10 +13,10 @@
+ 
+ // FreeType2
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ // STD
+ #include <string>

Added: head/editors/ted/files/patch-appFrame_appFontConfig.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/editors/ted/files/patch-appFrame_appFontConfig.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- appFrame/appFontConfig.c.orig	2013-12-13 10:45:38.000000000 +0100
++++ appFrame/appFontConfig.c	2013-12-13 10:46:24.000000000 +0100
+@@ -889,7 +889,7 @@
+ 
+     static const n2s xftn2s[]=
+     {
+-#   include <freetype/fterrdef.h>
++#   include FT_ERROR_DEFINITIONS_H
+     };
+ 
+     for ( i= 0; i < sizeof(xftn2s)/sizeof(n2s); i++ )

Added: head/games/brutalchess/files/patch-src_fontloader.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/brutalchess/files/patch-src_fontloader.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/fontloader.h.orig	2013-12-13 10:49:49.000000000 +0100
++++ src/fontloader.h	2013-12-13 10:50:39.000000000 +0100
+@@ -12,11 +12,9 @@
+ //FreeType Headers
+ #include <ft2build.h>
+ #include FT_FREETYPE_H
+-
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ // Other Headers we'll need.
+ #include <vector>

Modified: head/games/openmortal/files/patch-src-sge__tt__text.cpp
==============================================================================
--- head/games/openmortal/files/patch-src-sge__tt__text.cpp	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/games/openmortal/files/patch-src-sge__tt__text.cpp	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,5 +1,5 @@
---- src/sge_tt_text.cpp.orig	Tue Sep 12 18:29:07 2006
-+++ src/sge_tt_text.cpp	Tue Sep 12 18:29:12 2006
+--- src/sge_tt_text.cpp.orig	2004-03-03 21:17:48.000000000 +0100
++++ src/sge_tt_text.cpp	2013-12-13 11:24:58.000000000 +0100
 @@ -26,7 +26,6 @@
  
  #include "SDL.h"
@@ -8,3 +8,16 @@
  #include <memory.h>
  #include <string.h>
  #include <stdarg.h>
+@@ -37,9 +36,9 @@
+ 
+ #ifndef _SGE_NOTTF
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/ttnameid.h>
++#include FT_FREETYPE_H
++#include FT_OUTLINE_H
++#include FT_TRUETYPE_IDS_H
+ 
+ /* The structure used to hold glyph information (cached) */
+ struct glyph {

Modified: head/games/scorched3d/Makefile
==============================================================================
--- head/games/scorched3d/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/games/scorched3d/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -30,12 +30,15 @@ USE_OPENAL=	al alut
 USE_SDL=	mixer net sdl
 USE_WX=		2.4+
 WX_CONF_ARGS=	absolute
-USES=		iconv perl5 gmake pkgconfig
+USES=		dos2unix iconv perl5 gmake pkgconfig
 USE_AUTOTOOLS=	aclocal automake autoconf
 ACLOCAL_ARGS=	-I ${LOCALBASE}/share/aclocal
 AUTOMAKE_ARGS=	--add-missing --copy --force --foreign
 CONFIGURE_ARGS=	--datadir=${DATADIR}
 
+DOS2UNIX_FILES=	src/client/GLEXT/GLFont2dFreeType.h \
+		src/launcher/wxdialogs/TrueTypeFont.h
+
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 

Added: head/games/scorched3d/files/patch-src_client_GLEXT_GLFont2dFreeType.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/scorched3d/files/patch-src_client_GLEXT_GLFont2dFreeType.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/client/GLEXT/GLFont2dFreeType.h.orig	2013-12-17 09:58:11.000000000 +0100
++++ src/client/GLEXT/GLFont2dFreeType.h	2013-12-17 09:59:18.000000000 +0100
+@@ -23,10 +23,10 @@
+ 
+ #include <GLEXT/GLFont2dStorage.h>
+ #include <ft2build.h>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ #include <string>
+ 
+ class GLFont2dFreeType

Added: head/games/scorched3d/files/patch-src_launcher_wxdialogs_TrueTypeFont.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/scorched3d/files/patch-src_launcher_wxdialogs_TrueTypeFont.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,17 @@
+--- src/launcher/wxdialogs/TrueTypeFont.h.orig	2013-12-17 10:01:02.000000000 +0100
++++ src/launcher/wxdialogs/TrueTypeFont.h	2013-12-17 10:01:16.000000000 +0100
+@@ -25,10 +25,10 @@
+ #include <wx/image.h>
+ #include <ft2build.h>
+ #include <string>
+-#include <freetype/freetype.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttrigon.h>
++#include FT_FREETYPE_H
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
++#include FT_TRIGONOMETRY_H
+ 
+ class TrueTypeFont
+ {

Modified: head/graphics/GraphicsMagick/files/patch-configure
==============================================================================
--- head/graphics/GraphicsMagick/files/patch-configure	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/GraphicsMagick/files/patch-configure	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,6 +1,35 @@
---- ./configure.orig	2008-04-10 11:16:29.000000000 -0400
-+++ ./configure	2008-09-02 08:05:29.000000000 -0400
-@@ -34040,7 +34040,7 @@
+--- configure.orig	2008-11-20 04:31:11.000000000 +0100
++++ configure	2013-12-13 12:12:27.000000000 +0100
+@@ -32116,7 +32116,7 @@
+     fi
+ 
+     # Some Freetype installs appear to require that <ft2build.h> be
+-    # included prior to including <freetype/freetype.h>.  Oops!
++    # included prior to including <freetype.h>.  Oops!
+     if test "${ac_cv_header_ft2build_h+set}" = set; then
+   { echo "$as_me:$LINENO: checking for ft2build.h" >&5
+ echo $ECHO_N "checking for ft2build.h... $ECHO_C" >&6; }
+@@ -32249,8 +32249,8 @@
+ fi
+ 
+ 
+-    { echo "$as_me:$LINENO: checking for freetype/freetype.h" >&5
+-echo $ECHO_N "checking for freetype/freetype.h... $ECHO_C" >&6; }
++    { echo "$as_me:$LINENO: checking for freetype.h" >&5
++echo $ECHO_N "checking for freetype.h... $ECHO_C" >&6; }
+ if test "${ac_cv_header_freetype_freetype_h+set}" = set; then
+   echo $ECHO_N "(cached) $ECHO_C" >&6
+ else
+@@ -32262,7 +32262,7 @@
+ /* end confdefs.h.  */
+ $FT2BUILD_H
+ 
+-#include <freetype/freetype.h>
++#include <freetype.h>
+ _ACEOF
+ rm -f conftest.$ac_objext
+ if { (ac_try="$ac_compile"
+@@ -34050,7 +34050,7 @@
  #define MagickLibConfigSubDir "$MagickLibConfigSubDir"
  _ACEOF
  
@@ -9,7 +38,7 @@
  MagickLibConfigPathDefine="${MagickLibConfigPath}/"
  if test "$native_win32_build" = 'yes'
  then
-@@ -34098,7 +34098,7 @@
+@@ -34108,7 +34108,7 @@
  #
  # Path to GraphicsMagick share files
  MagickShareSubdir="${PACKAGE_NAME}-${PACKAGE_VERSION}"
@@ -18,7 +47,7 @@
  MagickSharePathDefine="${MagickSharePath}/"
  if test "$native_win32_build" = 'yes'
  then
-@@ -34118,7 +34118,7 @@
+@@ -34128,7 +34128,7 @@
  #define MagickShareConfigSubDir "$MagickShareConfigSubDir"
  _ACEOF
  

Modified: head/graphics/GraphicsMagick12/files/patch-configure.in
==============================================================================
--- head/graphics/GraphicsMagick12/files/patch-configure.in	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/GraphicsMagick12/files/patch-configure.in	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,6 +1,15 @@
---- configure.orig	2008-05-18 17:22:52.000000000 -0400
-+++ configure	2008-06-06 18:37:48.269146182 -0400
-@@ -37604,7 +37604,7 @@
+--- configure.orig	2010-01-05 20:20:45.000000000 +0100
++++ configure	2013-12-13 12:20:04.000000000 +0100
+@@ -24299,7 +24299,7 @@
+ fi
+ 
+ 
+-    ac_fn_c_check_header_compile "$LINENO" "freetype/freetype.h" "ac_cv_header_freetype_freetype_h" "$FT2BUILD_H
++    ac_fn_c_check_header_compile "$LINENO" "freetype.h" "ac_cv_header_freetype_freetype_h" "$FT2BUILD_H
+ "
+ if test "x$ac_cv_header_freetype_freetype_h" = x""yes; then :
+   have_freetype_h='yes'
+@@ -25089,7 +25089,7 @@
  #
  
  # Subdirectory under lib to place GraphicsMagick lib files
@@ -9,7 +18,7 @@
  
  cat >>confdefs.h <<_ACEOF
  #define MagickLibSubdir "$MagickLibSubdir"
-@@ -37708,7 +37708,7 @@
+@@ -25193,7 +25193,7 @@
  
  #
  # Path to GraphicsMagick share files

Modified: head/graphics/GraphicsMagick13/files/patch-configure.in
==============================================================================
--- head/graphics/GraphicsMagick13/files/patch-configure.in	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/GraphicsMagick13/files/patch-configure.in	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,6 +1,15 @@
---- configure.orig	2008-05-18 17:22:52.000000000 -0400
-+++ configure	2008-06-06 18:37:48.269146182 -0400
-@@ -37604,7 +37604,7 @@
+--- configure.orig	2013-03-10 00:21:59.000000000 +0100
++++ configure	2013-12-13 12:24:09.000000000 +0100
+@@ -26059,7 +26059,7 @@
+ fi
+ 
+ 
+-    ac_fn_c_check_header_compile "$LINENO" "freetype/freetype.h" "ac_cv_header_freetype_freetype_h" "$FT2BUILD_H
++    ac_fn_c_check_header_compile "$LINENO" "freetype.h" "ac_cv_header_freetype_freetype_h" "$FT2BUILD_H
+ "
+ if test "x$ac_cv_header_freetype_freetype_h" = xyes; then :
+   have_freetype_h='yes'
+@@ -26935,7 +26935,7 @@
  #
  
  # Subdirectory under lib to place GraphicsMagick lib files
@@ -9,7 +18,7 @@
  
  cat >>confdefs.h <<_ACEOF
  #define MagickLibSubdir "$MagickLibSubdir"
-@@ -37708,7 +37708,7 @@
+@@ -27039,7 +27039,7 @@
  
  #
  # Path to GraphicsMagick share files

Added: head/graphics/darktable/files/patch-cmake_modules_FindFreetype.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/darktable/files/patch-cmake_modules_FindFreetype.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- cmake/modules/FindFreetype.cmake.orig	2013-12-13 12:47:10.000000000 +0100
++++ cmake/modules/FindFreetype.cmake	2013-12-13 12:47:42.000000000 +0100
+@@ -12,7 +12,7 @@
+ 
+ # Include dir
+ find_path(Freetype_INCLUDE_DIR
+-  NAMES freetype/freetype.h
++  NAMES freetype.h
+   PATHS ${Freetype_PKGCONF_INCLUDE_DIRS}
+   PATH_SUFFIXES freetype2
+ )

Added: head/graphics/dia/files/patch-plug-ins_postscript_diapsft2renderer.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/dia/files/patch-plug-ins_postscript_diapsft2renderer.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,14 @@
+--- plug-ins/postscript/diapsft2renderer.c.orig	2013-12-14 12:29:51.000000000 +0100
++++ plug-ins/postscript/diapsft2renderer.c	2013-12-14 12:31:31.000000000 +0100
+@@ -29,8 +29,9 @@
+ #include <pango/pangoft2.h>
+ #include <pango/pango-engine.h>
+ /* I'd really rather avoid this */
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
++#include <ft2build.h>
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
+ 
+ #define DPI 300
+ 

Added: head/graphics/evas-core/files/patch-src_lib_engines_common_evas-font-load.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/evas-core/files/patch-src_lib_engines_common_evas-font-load.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,12 @@
+--- src/lib/engines/common/evas_font_load.c.orig	2013-12-14 12:42:42.000000000 +0100
++++ src/lib/engines/common/evas_font_load.c	2013-12-14 12:44:14.000000000 +0100
+@@ -5,7 +5,8 @@
+ 
+ #include "evas_font_private.h" /* for Frame-Queuing support */
+ #include "evas_font_ot.h"
+-#include <freetype/tttables.h> /* Freetype2 OS/2 font table. */
++#include <ft2build.h>
++#include FT_TRUETYPE_TABLES_H /* Freetype2 OS/2 font table. */
+ 
+ #ifdef EVAS_CSERVE2
+ # include "../../cserve2/evas_cs2_private.h"

Added: head/graphics/libprojectm/files/patch-cmake_FindFreetype2.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/libprojectm/files/patch-cmake_FindFreetype2.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,20 @@
+--- cmake/FindFreetype2.cmake.orig	2013-12-24 19:02:55.000000000 +0100
++++ cmake/FindFreetype2.cmake	2013-12-24 19:03:21.000000000 +0100
+@@ -52,7 +52,7 @@
+ #
+ 
+ 
+-FIND_PATH(FREETYPE2_INCLUDE_DIR freetype/config/ftheader.h
++FIND_PATH(FREETYPE2_INCLUDE_DIR config/ftheader.h
+        ${ADDITIONAL_INCLUDE_PATH}
+       /usr/include
+       /usr/include/freetype2
+@@ -67,7 +67,7 @@
+       NO_DEFAULT_PATH
+ )
+ 
+-FIND_PATH(FREETYPE2_FT2BUILD ft2build.h
++FIND_PATH(FREETYPE2_FT2BUILD freetype2/ft2build.h
+        ${ADDITIONAL_INCLUDE_PATH}
+       /usr/include
+       /usr/X11/include

Added: head/graphics/mapserver/files/patch-cmake__FindFreetype.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/mapserver/files/patch-cmake__FindFreetype.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,20 @@
+--- cmake/FindFreetype.cmake.orig	2013-12-23 20:00:03.000000000 +0200
++++ cmake/FindFreetype.cmake	2013-12-23 20:00:14.000000000 +0200
+@@ -41,7 +41,7 @@
+ # wants explicit full paths and this trickery doesn't work too well.
+ # I'm going to attempt to cut out the middleman and hope 
+ # everything still works.
+-FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build ft2build.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build freetype2/ft2build.h 
+   HINTS
+   $ENV{FREETYPE_DIR}
+   PATH_SUFFIXES include
+@@ -54,7 +54,7 @@
+   /usr/freeware/include
+ )
+ 
+-FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 config/ftheader.h 
+   HINTS
+   $ENV{FREETYPE_DIR}/include/freetype2
+   PATHS

Added: head/graphics/ogre3d/files/patch-CMake_Packages_FindFreetype.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/ogre3d/files/patch-CMake_Packages_FindFreetype.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,13 @@
+--- CMake/Packages/FindFreetype.cmake.orig	2012-09-02 07:27:14.000000000 +0200
++++ CMake/Packages/FindFreetype.cmake	2013-12-24 20:05:12.000000000 +0100
+@@ -43,8 +43,8 @@
+ findpkg_framework(FREETYPE)
+ message(STATUS "CMAKE_PREFIX_PATH: ${CMAKE_PREFIX_PATH}")
+ 
+-find_path(FREETYPE_INCLUDE_DIR NAMES freetype/freetype.h HINTS ${FREETYPE_INC_SEARCH_PATH} ${FREETYPE_PKGC_INCLUDE_DIRS} PATH_SUFFIXES freetype2)
+-find_path(FREETYPE_FT2BUILD_INCLUDE_DIR NAMES ft2build.h HINTS ${FREETYPE_INC_SEARCH_PATH} ${FREETYPE_PKGC_INCLUDE_DIRS})
++find_path(FREETYPE_INCLUDE_DIR NAMES freetype.h HINTS ${FREETYPE_INC_SEARCH_PATH} ${FREETYPE_PKGC_INCLUDE_DIRS} PATH_SUFFIXES freetype2)
++find_path(FREETYPE_FT2BUILD_INCLUDE_DIR NAMES freetype2/ft2build.h HINTS ${FREETYPE_INC_SEARCH_PATH} ${FREETYPE_PKGC_INCLUDE_DIRS})
+ 
+ find_library(FREETYPE_LIBRARY_REL NAMES ${FREETYPE_LIBRARY_NAMES} HINTS ${FREETYPE_LIB_SEARCH_PATH} ${FREETYPE_PKGC_LIBRARY_DIRS} PATH_SUFFIXES "" release relwithdebinfo minsizerel)
+ find_library(FREETYPE_LIBRARY_DBG NAMES ${FREETYPE_LIBRARY_NAMES_DBG} HINTS ${FREETYPE_LIB_SEARCH_PATH} ${FREETYPE_PKGC_LIBRARY_DIRS} PATH_SUFFIXES "" debug)

Added: head/graphics/osg/files/patch-CMakeModules_FindFreeType.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/osg/files/patch-CMakeModules_FindFreeType.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,44 @@
+--- CMakeModules/FindFreeType.cmake.orig	2013-12-24 19:18:24.000000000 +0100
++++ CMakeModules/FindFreeType.cmake	2013-12-24 19:19:27.000000000 +0100
+@@ -24,18 +24,18 @@
+ # wants explicit full paths and this trickery doesn't work too well.
+ # I'm going to attempt to cut out the middleman and hope 
+ # everything still works.
+-FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build ft2build.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build freetype2/ft2build.h 
+   PATHS
+   $ENV{FREETYPE_DIR}
+   NO_DEFAULT_PATH
+   PATH_SUFFIXES include    
+ )
+-FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build ft2build.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build freetype2/ft2build.h 
+   PATHS ${CMAKE_PREFIX_PATH} # Unofficial: We are proposing this.
+   NO_DEFAULT_PATH
+   PATH_SUFFIXES include
+ )
+-FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build ft2build.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_ft2build freetype2/ft2build.h 
+   PATHS
+   /usr/local
+   /usr
+@@ -51,16 +51,16 @@
+   PATH_SUFFIXES include
+ )
+ 
+-FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 config/ftheader.h 
+   $ENV{FREETYPE_DIR}/include/freetype2
+   NO_DEFAULT_PATH
+ )
+-FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 config/ftheader.h 
+   PATHS ${CMAKE_PREFIX_PATH} # Unofficial: We are proposing this.
+   NO_DEFAULT_PATH
+   PATH_SUFFIXES include/freetype2
+ )
+-FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 freetype/config/ftheader.h 
++FIND_PATH(FREETYPE_INCLUDE_DIR_freetype2 config/ftheader.h 
+   /usr/local/include/freetype2
+   /usr/include/freetype2
+   /usr/local/X11R6/include/freetype2

Added: head/graphics/osg/files/patch-src-osgPlugins-freetype-FreeTypeFont.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/osg/files/patch-src-osgPlugins-freetype-FreeTypeFont.cpp	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,14 @@
+--- src/osgPlugins/freetype/FreeTypeFont.cpp.orig	2013-12-24 19:29:26.000000000 +0100
++++ src/osgPlugins/freetype/FreeTypeFont.cpp	2013-12-24 19:30:24.000000000 +0100
+@@ -14,8 +14,9 @@
+ #include "FreeTypeFont.h"
+ #include "FreeTypeLibrary.h"
+ 
+-#include <freetype/ftoutln.h>
+-#include <freetype/ftbbox.h>
++#include <ft2build.h>
++#include FT_OUTLINE_H
++#include FT_BBOX_H
+ 
+ #include <osg/Notify>
+ #include <osg/io_utils>

Modified: head/graphics/php5-gd/files/patch-config.m4
==============================================================================
--- head/graphics/php5-gd/files/patch-config.m4	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/php5-gd/files/patch-config.m4	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,8 +1,17 @@
---- config.m4.orig	Mon May 30 01:16:41 2005
-+++ config.m4	Wed Dec  7 11:01:13 2005
-@@ -220,7 +220,7 @@
+--- config.m4.orig	2013-12-10 20:32:43.000000000 +0100
++++ config.m4	2013-12-24 21:02:03.000000000 +0100
+@@ -193,7 +193,7 @@
+   if test "$PHP_FREETYPE_DIR" != "no"; then
+ 
+     for i in $PHP_FREETYPE_DIR /usr/local /usr; do
+-      if test -f "$i/include/freetype2/freetype/freetype.h"; then
++      if test -f "$i/include/freetype2/freetype.h"; then
+         FREETYPE2_DIR=$i
+         FREETYPE2_INC_DIR=$i/include/freetype2
+         break
+@@ -241,7 +241,7 @@
      ],[
-       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.]) 
+       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.])
      ],[
 -      -L$GD_T1_DIR/$PHP_LIBDIR
 +      -L$GD_T1_DIR/$PHP_LIBDIR -lm

Modified: head/graphics/php52-gd/files/patch-config.m4
==============================================================================
--- head/graphics/php52-gd/files/patch-config.m4	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/php52-gd/files/patch-config.m4	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,8 +1,17 @@
---- ext/gd/config.m4.orig	Mon May 30 01:16:41 2005
-+++ ext/gd/config.m4	Wed Dec  7 11:01:13 2005
-@@ -220,7 +220,7 @@
+--- config.m4.orig	2007-07-03 19:25:43.000000000 +0200
++++ config.m4	2013-12-24 21:04:48.000000000 +0100
+@@ -204,7 +204,7 @@
+   if test "$PHP_FREETYPE_DIR" != "no"; then
+ 
+     for i in $PHP_FREETYPE_DIR /usr/local /usr; do
+-      if test -f "$i/include/freetype2/freetype/freetype.h"; then
++      if test -f "$i/include/freetype2/freetype.h"; then
+         FREETYPE2_DIR=$i
+         FREETYPE2_INC_DIR=$i/include/freetype2
+         break
+@@ -251,7 +251,7 @@
      ],[
-       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.]) 
+       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.])
      ],[
 -      -L$GD_T1_DIR/$PHP_LIBDIR
 +      -L$GD_T1_DIR/$PHP_LIBDIR -lm

Modified: head/graphics/php53-gd/files/patch-config.m4
==============================================================================
--- head/graphics/php53-gd/files/patch-config.m4	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/php53-gd/files/patch-config.m4	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,8 +1,17 @@
---- config.m4.orig	Mon May 30 01:16:41 2005
-+++ config.m4	Wed Dec  7 11:01:13 2005
-@@ -220,7 +220,7 @@
+--- config.m4.orig	2013-12-10 20:04:57.000000000 +0100
++++ config.m4	2013-12-24 21:07:17.000000000 +0100
+@@ -162,7 +162,7 @@
+   if test "$PHP_FREETYPE_DIR" != "no"; then
+ 
+     for i in $PHP_FREETYPE_DIR /usr/local /usr; do
+-      if test -f "$i/include/freetype2/freetype/freetype.h"; then
++      if test -f "$i/include/freetype2/freetype.h"; then
+         FREETYPE2_DIR=$i
+         FREETYPE2_INC_DIR=$i/include/freetype2
+         break
+@@ -210,7 +210,7 @@
      ],[
-       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.]) 
+       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.])
      ],[
 -      -L$GD_T1_DIR/$PHP_LIBDIR
 +      -L$GD_T1_DIR/$PHP_LIBDIR -lm

Modified: head/graphics/php55-gd/files/patch-config.m4
==============================================================================
--- head/graphics/php55-gd/files/patch-config.m4	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/php55-gd/files/patch-config.m4	Tue Dec 24 21:22:21 2013	(r337385)
@@ -1,8 +1,17 @@
---- config.m4.orig	Mon May 30 01:16:41 2005
-+++ config.m4	Wed Dec  7 11:01:13 2005
-@@ -220,7 +220,7 @@
+--- config.m4.orig	2013-12-11 00:31:06.000000000 +0100
++++ config.m4	2013-12-24 21:11:19.000000000 +0100
+@@ -185,7 +185,7 @@
+   if test "$PHP_FREETYPE_DIR" != "no"; then
+ 
+     for i in $PHP_FREETYPE_DIR /usr/local /usr; do
+-      if test -f "$i/include/freetype2/freetype/freetype.h"; then
++      if test -f "$i/include/freetype2/freetype.h"; then
+         FREETYPE2_DIR=$i
+         FREETYPE2_INC_DIR=$i/include/freetype2
+         break
+@@ -233,7 +233,7 @@
      ],[
-       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.]) 
+       AC_MSG_ERROR([Problem with libt1.(a|so). Please check config.log for more information.])
      ],[
 -      -L$GD_T1_DIR/$PHP_LIBDIR
 +      -L$GD_T1_DIR/$PHP_LIBDIR -lm

Modified: head/graphics/podofo/Makefile
==============================================================================
--- head/graphics/podofo/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/podofo/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -17,13 +17,14 @@ LIB_DEPENDS=	libidn.so:${PORTSDIR}/dns/l
 		libfreetype.so:${PORTSDIR}/print/freetype2 \
 		libfontconfig.so:${PORTSDIR}/x11-fonts/fontconfig
 
-USES=		cmake
+USES=		cmake dos2unix
 CMAKE_ARGS=	-DPODOFO_BUILD_SHARED:BOOL=TRUE \
 		-DPODOFO_BUILD_STATIC:BOOL=FALSE \
 		-DOPENSSL_INCLUDE_DIR:PATH="${OPENSSLINC}" \
 		-DOPENSSL_LIBRARIES:PATH="${OPENSSLDIR}"
 USE_OPENSSL=	yes
 USE_LDCONFIG=	yes
+DOS2UNIX_FILES=	cmake/modules/FindFREETYPE.cmake
 
 OPTIONS_DEFINE=		IMPOSE JPEG PNG TIFF
 OPTIONS_DEFAULT=	JPEG PNG TIFF

Added: head/graphics/podofo/files/patch-cmake_modules_FindFREETYPE.cmake
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/podofo/files/patch-cmake_modules_FindFREETYPE.cmake	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,19 @@
+--- cmake/modules/FindFREETYPE.cmake.orig	2013-12-23 19:53:54.000000000 +0200
++++ cmake/modules/FindFREETYPE.cmake	2013-12-23 19:54:05.000000000 +0200
+@@ -12,14 +12,14 @@
+ 
+ SET(FREETYPE_FIND_QUIETLY 1)
+ 
+-FIND_PATH(FREETYPE_INCLUDE_DIR_FT2BUILD ft2build.h
++FIND_PATH(FREETYPE_INCLUDE_DIR_FT2BUILD freetype2/ft2build.h
+   /usr/include/
+   /usr/local/include/
+   /usr/X11/include/
+   NO_CMAKE_SYSTEM_PATH
+ )
+ 
+-FIND_PATH(FREETYPE_INCLUDE_DIR_FTHEADER freetype/config/ftheader.h
++FIND_PATH(FREETYPE_INCLUDE_DIR_FTHEADER config/ftheader.h
+   /usr/include/freetype2
+   /usr/local/include/freetype2
+   /usr/X11/include/freetype2

Added: head/graphics/py-imaging/files/patch-_imagingft.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-imaging/files/patch-_imagingft.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- _imagingft.c.orig	2013-12-16 01:41:20.000000000 +0100
++++ _imagingft.c	2013-12-16 01:42:34.000000000 +0100
+@@ -70,7 +70,7 @@
+     const char* message;
+ } ft_errors[] =
+ 
+-#include <freetype/fterrors.h>
++#include FT_ERRORS_H
+ 
+ /* -------------------------------------------------------------------- */
+ /* font objects */

Added: head/graphics/py-pillow/files/patch-_imagingft.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-pillow/files/patch-_imagingft.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- _imagingft.c.orig	2013-12-16 01:41:20.000000000 +0100
++++ _imagingft.c	2013-12-16 01:42:34.000000000 +0100
+@@ -70,7 +70,7 @@
+     const char* message;
+ } ft_errors[] =
+ 
+-#include <freetype/fterrors.h>
++#include FT_ERRORS_H
+ 
+ /* -------------------------------------------------------------------- */
+ /* font objects */

Added: head/graphics/py-soya3d/files/patch-include_freetype.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/py-soya3d/files/patch-include_freetype.h	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,14 @@
+--- include_freetype.h.orig	2013-12-24 20:30:39.000000000 +0100
++++ include_freetype.h	2013-12-24 20:31:30.000000000 +0100
+@@ -21,8 +21,7 @@
+ 
+ #include <ft2build.h>
+ #include FT_FREETYPE_H // this is not do-able in Pyrex
+-#include <freetype/freetype.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/ftimage.h>
+-#include <freetype/ftglyph.h>
++#include FT_OUTLINE_H
++#include FT_IMAGE_H
++#include FT_GLYPH_H
+ 

Added: head/graphics/sk1libs/files/patch-src_imaging_libimagingft_imagingft.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/sk1libs/files/patch-src_imaging_libimagingft_imagingft.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- src/imaging/libimagingft/_imagingft.c.orig	2009-11-01 01:44:12.000000000 +0100
++++ src/imaging/libimagingft/_imagingft.c	2013-12-16 01:46:04.000000000 +0100
+@@ -70,7 +70,7 @@
+     const char* message;
+ } ft_errors[] =
+ 
+-#include <freetype/fterrors.h>
++#include FT_ERRORS_H
+ 
+ /* -------------------------------------------------------------------- */
+ /* font objects */

Added: head/graphics/sodipodi/files/patch-src_libnrtype_nr-type-fc2.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/sodipodi/files/patch-src_libnrtype_nr-type-fc2.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,14 @@
+--- src/libnrtype/nr-type-ft2.c.orig	2013-12-16 01:48:18.000000000 +0100
++++ src/libnrtype/nr-type-ft2.c	2013-12-16 01:49:11.000000000 +0100
+@@ -13,8 +13,9 @@
+ #include <stdio.h>
+ #include <libnr/nr-macros.h>
+ #include <libnr/nr-matrix.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/ftbbox.h>
++#include <ft2build.h>
++#include FT_OUTLINE_H
++#include FT_BBOX_H
+ #include "nr-type-ft2.h"
+ 
+ #define noNRTFFT2_DEBUG

Modified: head/graphics/swfmill/Makefile
==============================================================================
--- head/graphics/swfmill/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/swfmill/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -14,9 +14,10 @@ LICENSE=	GPLv2
 LIB_DEPENDS=	libpng15.so:${PORTSDIR}/graphics/png \
 		libfreetype.so:${PORTSDIR}/print/freetype2
 
-USES=		iconv gmake pkgconfig
+USES=		dos2unix iconv gmake pkgconfig
 USE_GNOME=	libxml2 libxslt
 USE_AUTOTOOLS=	libtool
+DOS2UNIX_FILES=	src/swft/swft_import_ttf.cpp
 
 PLIST_FILES=	bin/swfmill
 

Added: head/graphics/swfmill/files/patch-src_swft_swft-import-ttf.cpp
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/swfmill/files/patch-src_swft_swft-import-ttf.cpp	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,11 @@
+--- src/swft/swft_import_ttf.cpp.orig	2013-12-16 08:12:12.000000000 +0100
++++ src/swft/swft_import_ttf.cpp	2013-12-16 08:11:52.000000000 +0100
+@@ -14,7 +14,7 @@
+ #include FT_OUTLINE_H
+ #include "SWFShapeMaker.h"
+ 
+-#include <freetype/tttables.h>
++#include FT_TRUETYPE_TABLES_H
+ 
+ using namespace SWF;
+ 

Added: head/graphics/tulip/files/patch-thirdparty-ftgl-CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/tulip/files/patch-thirdparty-ftgl-CMakeLists.txt	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,10 @@
+--- thirdparty/ftgl/CMakeLists.txt.orig	2013-12-24 22:28:17.000000000 +0200
++++ thirdparty/ftgl/CMakeLists.txt	2013-12-24 22:28:03.000000000 +0200
+@@ -104,6 +104,7 @@
+ 
+ INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR})
+ INCLUDE_DIRECTORIES(${FREETYPE_INCLUDE_DIRS})
++INCLUDE_DIRECTORIES(${OPENGL_INCLUDE_DIR})
+ 
+ ADD_LIBRARY(ftgl SHARED ${ftgl_SRCS} ${ftgl_headers_SRCS} ${ftglyph_SRCS} ${ftfont_SRCS} ${ftlayout_SRCS})
+ TARGET_LINK_LIBRARIES(ftgl ${OPENGL_gl_LIBRARY} ${OPENGL_glu_LIBRARY} ${FREETYPE_LIBRARY})

Modified: head/graphics/xpaint/Makefile
==============================================================================
--- head/graphics/xpaint/Makefile	Tue Dec 24 21:06:11 2013	(r337384)
+++ head/graphics/xpaint/Makefile	Tue Dec 24 21:22:21 2013	(r337385)
@@ -39,6 +39,7 @@ post-extract:
 
 post-patch:
 	@${REINPLACE_CMD} -e 's/-ldl //' \
+		-e 's|freetype/||g' \
 		${WRKSRC}/configure ${WRKSRC}/rw/configure
 	@${REINPLACE_CMD} -e '/^LIBTOOL/d' \
 		-e '/^install-exec-am:/s/install-libLTLIBRARIES//' \

Added: head/japanese/xdvik/files/patch-texk_xdvik_vf2ft.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/japanese/xdvik/files/patch-texk_xdvik_vf2ft.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,10 @@
+--- xdvik-22.40w/texk/xdvik/vf2ft.c.orig	2013-12-16 09:29:17.000000000 +0100
++++ xdvik-22.40w/texk/xdvik/vf2ft.c	2013-12-16 09:29:47.000000000 +0100
+@@ -1278,7 +1278,6 @@
+ 
+ static int fontsmax=0;
+ 
+-#include <freetype/freetype.h>
+ #include "vf2ft.h"
+ 
+ int VF_Init(char *vfcap)

Added: head/java/classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-FreetypeGlyphVector.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/java/classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-FreetypeGlyphVector.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,14 @@
+--- native/jni/gtk-peer/gnu_java_awt_peer_gtk_FreetypeGlyphVector.c.orig	2013-12-16 09:41:00.000000000 +0100
++++ native/jni/gtk-peer/gnu_java_awt_peer_gtk_FreetypeGlyphVector.c	2013-12-16 09:42:44.000000000 +0100
+@@ -42,8 +42,9 @@
+ #include <pango/pango.h>
+ #include <pango/pangoft2.h>
+ #include <pango/pangofc-font.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
++#include <ft2build.h>
++#include FT_GLYPH_H
++#include FT_OUTLINE_H
+ #include "jcl.h"
+ #include "gdkfont.h"
+ #include "gnu_java_awt_peer_gtk_FreetypeGlyphVector.h"

Added: head/java/classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-GdkFontPeer.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/java/classpath/files/patch-native_jni_gtk-peer_gnu-java-awt-peer-gtk-GdkFontPeer.c	Tue Dec 24 21:22:21 2013	(r337385)
@@ -0,0 +1,18 @@
+--- native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c.orig	2013-12-16 09:40:51.000000000 +0100
++++ native/jni/gtk-peer/gnu_java_awt_peer_gtk_GdkFontPeer.c	2013-12-16 09:44:06.000000000 +0100
+@@ -39,10 +39,11 @@
+ #include <pango/pango.h>
+ #include <pango/pangoft2.h>
+ #include <pango/pangofc-font.h>
+-#include <freetype/ftglyph.h>
+-#include <freetype/ftoutln.h>
+-#include <freetype/fttypes.h>
+-#include <freetype/tttables.h>
++#include <ft2build.h>

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 13 Koop Mast freebsd_committer 2013-12-24 21:42:39 UTC
State Changed
From-To: open->closed

Committed in -r337385.